All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::HNSW::MinimaxHeap Struct Reference

`#include <HNSW.h>`

## Public Types

typedef faiss::CMax< float, storage_idx_t > | HC

## Public Member Functions

| MinimaxHeap (int n)
void | push (storage_idx_t i, float v)
float | max () const
int | size () const
void | clear ()
int | pop_min (float *vmin_out=nullptr)
int | count_below (float thresh)

## Public Attributes

int | n
int | k
std::vector< storage_idx_t > | ids
std::vector< float > | dis

## Detailed Description

Heap structure that allows fast

Definition at line 78 of file HNSW.h.

The documentation for this struct was generated from the following files:

- /tmp/faiss/HNSW.h
- /tmp/faiss/HNSW.cpp